# sgp-proxy - Clash Verge Config
port: 7890
socks-port: 7891
mode: Rule
log-level: info

proxies:
  - name: "SGP-REALITY"
    type: vless
    server: 45.32.124.125
    port: 8443
    uuid: c8e8b630-3b6a-4f2e-a9c0-2e5f3e7a9b1d
    network: tcp
    tls: true
    servername: www.microsoft.com
    reality-opts:
      public-key: foIspY8Yzqa__Gdn35OVP6bdSce2syemgd-eF00ehjg
      short-id: 2a4ec7fb3833c53d
    udp: true
    skip-cert-verify: true
    client-fingerprint: chrome

  - name: "SGP-CDN-WS"
    type: vless
    server: sgp-proxy.herems.org
    port: 443
    uuid: c8e8b630-3b6a-4f2e-a9c0-2e5f3e7a9b1d
    network: ws
    ws-opts:
      path: /wsproxy
      headers:
        Host: sgp-proxy.herems.org
    tls: true
    servername: sgp-proxy.herems.org
    udp: true
    skip-cert-verify: true
    client-fingerprint: chrome

proxy-groups:
  - name: Proxy
    type: select
    proxies:
      - SGP-REALITY
      - SGP-CDN-WS
      - DIRECT

rules:
  - DOMAIN-SUFFIX,google.com,Proxy
  - DOMAIN-SUFFIX,youtube.com,Proxy
  - DOMAIN-SUFFIX,github.com,Proxy
  - DOMAIN-SUFFIX,twitter.com,Proxy
  - DOMAIN-SUFFIX,x.com,Proxy
  - DOMAIN-SUFFIX,telegram.org,Proxy
  - DOMAIN-SUFFIX,telegram.me,Proxy
  - DOMAIN-SUFFIX,t.me,Proxy
  - DOMAIN-KEYWORD,google,Proxy
  - DOMAIN-KEYWORD,youtube,Proxy
  - DOMAIN-KEYWORD,telegram,Proxy
  - GEOIP,CN,DIRECT
  - MATCH,DIRECT
